Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class RealmLoginModule

`java.lang.Object
oracle.security.jazn.realm.RealmLoginModule`

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

public class RealmLoginModule
extends java.lang.Object
implements javax.security.auth.spi.LoginModule

A delegating login module which delegates all method invocations to `oracle.security.jazn.loginm.module.RealmLoginModule`. <p/> This class exists solely to preserve backward compatibility with previous OracleAS releases (9.0.2/3/4 & 10g). <p/> This class is deprecated and will be removed in a future release.

Constructor Summary
`RealmLoginModule()`

Method Summary
`boolean` | `abort()` This method is called if the LoginContext's overall authentication failed.
`boolean` | `commit()` This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded).
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler callbackHandler, java.util.Map sharedState, java.util.Map options)` Initialize this `LoginModule`.
`boolean` | `login()` Authenticate the user by prompting for a username and password.
`boolean` | `logout()` Logout the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmLoginModule

    public RealmLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler callbackHandler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Initialize this `LoginModule`. <p/> <p/>
  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Parameters:
    `subject` - the `Subject` to be authenticated.
    `callbackHandler` - a `CallbackHandler` for communicating with the end user (prompting for usernames and passwords, for example).
    `sharedState` - shared `LoginModule` state.
    `options` - options specified in the login `Configuration` for this particular `LoginModule`.

### login

    public boolean login()
                  throws javax.security.auth.login.LoginException

  Authenticate the user by prompting for a username and password. <p/> <p/>
  Specified by:
    `login` in interface `javax.security.auth.spi.LoginModule`
  Returns:
    true in all cases since this `LoginModule` should not be ignored.
  Throws:
    `javax.security.auth.login.FailedLoginException` - if the authentication fails.
    `javax.security.auth.login.LoginException` - if this `LoginModule` is unable to perform the authentication.

### commit

    public boolean commit()
                   throws javax.security.auth.login.LoginException

  This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded). <p/>

  If this LoginModule's own authentication attempt succeeded (checked by retrieving the private state saved by the `login` method), then this method associates a `RealmPrincipal` with the `Subject` located in the `LoginModule`. If this LoginModule's own authentication attempted failed, then this method removes any state that was originally saved. <p/> <p/>

  Specified by:
    `commit` in interface `javax.security.auth.spi.LoginModule`
  Returns:
    true if this LoginModule's own login and commit attempts succeeded, or false otherwise.
  Throws:
    `javax.security.auth.login.LoginException` - if the commit fails.

### abort

    public boolean abort()
                  throws javax.security.auth.login.LoginException

  This method is called if the LoginContext's overall authentication failed. (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules did not succeed). <p/>

  If this LoginModule's own authentication attempt succeeded (checked by retrieving the private state saved by the `login` and `commit` methods), then this method cleans up any state that was originally saved. <p/> <p/>

  Specified by:
    `abort` in interface `javax.security.auth.spi.LoginModule`
  Returns:
    false if this LoginModule's own login and/or commit attempts failed, and true otherwise.
  Throws:
    `javax.security.auth.login.LoginException` - if the abort fails.

### logout

    public boolean logout()
                   throws javax.security.auth.login.LoginException

  Logout the user. <p/>

  This method removes the `RealmPrincipal` that was added by the `commit` method. <p/> <p/>

  Specified by:
    `logout` in interface `javax.security.auth.spi.LoginModule`
  Returns:
    true in all cases since this `LoginModule` should not be ignored.
  Throws:
    `javax.security.auth.login.LoginException` - if the logout fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.